Customer PO
List customer PO files
List all customer PO Files under an order.
Request
GET/orders/{orderNumber}/customer-po-files
Path parameters
orderNumberstringrequired
Order number of the order.
Response
An array of json is returned in the response body. Each item in the array contains the following fields:
namestring
Name of the customer PO file.
sizeInBytesinteger
Size in bytes of the customer PO file.
createdAtdatetime string
Time when the customer PO file was created.
createdBystring
Name of who created the customer PO file.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/orders/{orderNumber}/customer-po-files' \ -H 'Authorization: Bearer {token}'Response
[
{
"name": "customerPoFile_001.png",
"sizeInBytes": 5499,
"createdAt": "2025-01-24T11:18:28.000Z",
"createdBy": "John Smith"
},
{
"name": "customerPoFile_002.jpg",
"sizeInBytes": 271548,
"createdAt": "2025-02-06T04:30:36.000Z",
"createdBy": "John Smith"
}
]